package br.mp.mprj.portal.portlet.gestaomensagens.service.service.persistence;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.util.ReferenceRegistry;


public class AgendamentoFinderUtil {
    private static AgendamentoFinder _finder;

    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.Agendamento> findByMensagensPendetesDeEnvio() {
        return getFinder().findByMensagensPendetesDeEnvio();
    }

    public static AgendamentoFinder getFinder() {
        if (_finder == null) {
            _finder = (AgendamentoFinder) PortletBeanLocatorUtil.locate(br.mp.mprj.portal.portlet.gestaomensagens.service.service.ClpSerializer.getServletContextName(),
                    AgendamentoFinder.class.getName());

            ReferenceRegistry.registerReference(AgendamentoFinderUtil.class,
                "_finder");
        }

        return _finder;
    }

    public void setFinder(AgendamentoFinder finder) {
        _finder = finder;

        ReferenceRegistry.registerReference(AgendamentoFinderUtil.class,
            "_finder");
    }
}
